// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 55;
	objects = {

/* Begin PBXBuildFile section */
		076B0CC6F1DA179CF2CFC299 /* Pods_Instagram2_0Tests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 24E19E38BA876501EFA136C1 /* Pods_Instagram2_0Tests.framework */; };
		85123533291C670300EE6E8D /* FeedController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85123532291C670300EE6E8D /* FeedController.swift */; };
		85123535291C6CF100EE6E8D /* UserProfileController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85123534291C6CF000EE6E8D /* UserProfileController.swift */; };
		85123537291C6DD600EE6E8D /* UserProfileHeader.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85123536291C6DD600EE6E8D /* UserProfileHeader.swift */; };
		8512353A291C747500EE6E8D /* User.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85123539291C747500EE6E8D /* User.swift */; };
		8530D39A2919CC3D00531D39 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3992919CC3D00531D39 /* AppDelegate.swift */; };
		8530D39C2919CC3D00531D39 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D39B2919CC3D00531D39 /* SceneDelegate.swift */; };
		8530D3A12919CC3D00531D39 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 8530D39F2919CC3D00531D39 /* Main.storyboard */; };
		8530D3A42919CC3D00531D39 /* Instagram2_0.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3A22919CC3D00531D39 /* Instagram2_0.xcdatamodeld */; };
		8530D3A62919CC3E00531D39 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 8530D3A52919CC3E00531D39 /* Assets.xcassets */; };
		8530D3A92919CC3E00531D39 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 8530D3A72919CC3E00531D39 /* LaunchScreen.storyboard */; };
		8530D3B42919CC3E00531D39 /* Instagram2_0Tests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3B32919CC3E00531D39 /* Instagram2_0Tests.swift */; };
		8530D3BE2919CC3E00531D39 /* Instagram2_0UITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3BD2919CC3E00531D39 /* Instagram2_0UITests.swift */; };
		8530D3C02919CC3E00531D39 /* Instagram2_0UITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3BF2919CC3E00531D39 /* Instagram2_0UITestsLaunchTests.swift */; };
		8530D3CE2919CE4200531D39 /* LoginController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3CD2919CE4200531D39 /* LoginController.swift */; };
		8530D3D32919D13400531D39 /* Utils.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3D22919D13400531D39 /* Utils.swift */; };
		8530D3D52919D93600531D39 /* SignUpController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 8530D3D42919D93600531D39 /* SignUpController.swift */; };
		855F5722291C4A64007939FD /* GoogleService-Info.plist in Resources */ = {isa = PBXBuildFile; fileRef = 855F5721291C4A63007939FD /* GoogleService-Info.plist */; };
		855F5724291C5F7E007939FD /* MainTabVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 855F5723291C5F7E007939FD /* MainTabVC.swift */; };
		85617B30291C9E6E00E28773 /* Firebase.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85617B2F291C9E6E00E28773 /* Firebase.swift */; };
		85636F42291CB3DF00799B6E /* MessagesVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85636F41291CB3DF00799B6E /* MessagesVC.swift */; };
		85636F45291CB4E300799B6E /* MessagesCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85636F44291CB4E300799B6E /* MessagesCell.swift */; };
		857B82FD2919EC1400C6A1D3 /* CustomTextField.swift in Sources */ = {isa = PBXBuildFile; fileRef = 857B82FC2919EC1400C6A1D3 /* CustomTextField.swift */; };
		85A1E5F3291CB84C005B3560 /* CameraController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 85A1E5F2291CB84C005B3560 /* CameraController.swift */; };
		967B3112A2CD379D1419DAFF /* Pods_Instagram2_0_Instagram2_0UITests.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 18D4CBDDF80E2E4E391AD984 /* Pods_Instagram2_0_Instagram2_0UITests.framework */; };
		FA12698EE9D06750AD241483 /* Pods_Instagram2_0.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 614000FC2524B33C9C5422A9 /* Pods_Instagram2_0.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		8530D3B02919CC3E00531D39 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 8530D38E2919CC3D00531D39 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 8530D3952919CC3D00531D39;
			remoteInfo = Instagram2.0;
		};
		8530D3BA2919CC3E00531D39 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 8530D38E2919CC3D00531D39 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 8530D3952919CC3D00531D39;
			remoteInfo = Instagram2.0;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		09E05BC567DF7C258904279F /* Pods-Instagram2.0-Instagram2.0UITests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Instagram2.0-Instagram2.0UITests.debug.xcconfig"; path = "Target Support Files/Pods-Instagram2.0-Instagram2.0UITests/Pods-Instagram2.0-Instagram2.0UITests.debug.xcconfig"; sourceTree = "<group>"; };
		132FB189BC69F951CA111CB0 /* Pods-Instagram2.0-Instagram2.0UITests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Instagram2.0-Instagram2.0UITests.release.xcconfig"; path = "Target Support Files/Pods-Instagram2.0-Instagram2.0UITests/Pods-Instagram2.0-Instagram2.0UITests.release.xcconfig"; sourceTree = "<group>"; };
		18D4CBDDF80E2E4E391AD984 /* Pods_Instagram2_0_Instagram2_0UITests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Instagram2_0_Instagram2_0UITests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		24E19E38BA876501EFA136C1 /* Pods_Instagram2_0Tests.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Instagram2_0Tests.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		614000FC2524B33C9C5422A9 /* Pods_Instagram2_0.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Instagram2_0.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		62EA448950177273C92AA1CB /* Pods-Instagram2.0Tests.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Instagram2.0Tests.debug.xcconfig"; path = "Target Support Files/Pods-Instagram2.0Tests/Pods-Instagram2.0Tests.debug.xcconfig"; sourceTree = "<group>"; };
		6704508A6A6A5E165E383C04 /* Pods-Instagram2.0Tests.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Instagram2.0Tests.release.xcconfig"; path = "Target Support Files/Pods-Instagram2.0Tests/Pods-Instagram2.0Tests.release.xcconfig"; sourceTree = "<group>"; };
		85123532291C670300EE6E8D /* FeedController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FeedController.swift; sourceTree = "<group>"; };
		85123534291C6CF000EE6E8D /* UserProfileController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserProfileController.swift; sourceTree = "<group>"; };
		85123536291C6DD600EE6E8D /* UserProfileHeader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UserProfileHeader.swift; sourceTree = "<group>"; };
		85123539291C747500EE6E8D /* User.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = User.swift; sourceTree = "<group>"; };
		8530D3962919CC3D00531D39 /* InstagramAuth.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = InstagramAuth.app; sourceTree = BUILT_PRODUCTS_DIR; };
		8530D3992919CC3D00531D39 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		8530D39B2919CC3D00531D39 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		8530D3A02919CC3D00531D39 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		8530D3A32919CC3D00531D39 /* Instagram2_0.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = Instagram2_0.xcdatamodel; sourceTree = "<group>"; };
		8530D3A52919CC3E00531D39 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; name = Assets.xcassets; path = Instagram2.0/Assets.xcassets; sourceTree = SOURCE_ROOT; };
		8530D3A82919CC3E00531D39 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		8530D3AA2919CC3E00531D39 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		8530D3AF2919CC3E00531D39 /* InstagramAuthTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = InstagramAuthTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		8530D3B32919CC3E00531D39 /* Instagram2_0Tests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Instagram2_0Tests.swift; sourceTree = "<group>"; };
		8530D3B92919CC3E00531D39 /* InstagramAuthUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = InstagramAuthUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		8530D3BD2919CC3E00531D39 /* Instagram2_0UITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Instagram2_0UITests.swift; sourceTree = "<group>"; };
		8530D3BF2919CC3E00531D39 /* Instagram2_0UITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Instagram2_0UITestsLaunchTests.swift; sourceTree = "<group>"; };
		8530D3CD2919CE4200531D39 /* LoginController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginController.swift; sourceTree = "<group>"; };
		8530D3D22919D13400531D39 /* Utils.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Utils.swift; sourceTree = "<group>"; };
		8530D3D42919D93600531D39 /* SignUpController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SignUpController.swift; sourceTree = "<group>"; };
		855F5721291C4A63007939FD /* GoogleService-Info.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = "GoogleService-Info.plist"; sourceTree = "<group>"; };
		855F5723291C5F7E007939FD /* MainTabVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainTabVC.swift; sourceTree = "<group>"; };
		85617B2F291C9E6E00E28773 /* Firebase.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Firebase.swift; sourceTree = "<group>"; };
		85636F41291CB3DF00799B6E /* MessagesVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MessagesVC.swift; sourceTree = "<group>"; };
		85636F44291CB4E300799B6E /* MessagesCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MessagesCell.swift; sourceTree = "<group>"; };
		857B82FC2919EC1400C6A1D3 /* CustomTextField.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomTextField.swift; sourceTree = "<group>"; };
		85A1E5F2291CB84C005B3560 /* CameraController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CameraController.swift; sourceTree = "<group>"; };
		B6B6F41DC9866DA581D7B770 /* Pods-Instagram2.0.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Instagram2.0.release.xcconfig"; path = "Target Support Files/Pods-Instagram2.0/Pods-Instagram2.0.release.xcconfig"; sourceTree = "<group>"; };
		BD904D9B45AD2A72623D88F6 /* Pods-Instagram2.0.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Instagram2.0.debug.xcconfig"; path = "Target Support Files/Pods-Instagram2.0/Pods-Instagram2.0.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		8530D3932919CC3D00531D39 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				FA12698EE9D06750AD241483 /* Pods_Instagram2_0.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		8530D3AC2919CC3E00531D39 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				076B0CC6F1DA179CF2CFC299 /* Pods_Instagram2_0Tests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		8530D3B62919CC3E00531D39 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				967B3112A2CD379D1419DAFF /* Pods_Instagram2_0_Instagram2_0UITests.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		51CEA7B2EC221ACB8B4383D0 /* Pods */ = {
			isa = PBXGroup;
			children = (
				BD904D9B45AD2A72623D88F6 /* Pods-Instagram2.0.debug.xcconfig */,
				B6B6F41DC9866DA581D7B770 /* Pods-Instagram2.0.release.xcconfig */,
				09E05BC567DF7C258904279F /* Pods-Instagram2.0-Instagram2.0UITests.debug.xcconfig */,
				132FB189BC69F951CA111CB0 /* Pods-Instagram2.0-Instagram2.0UITests.release.xcconfig */,
				62EA448950177273C92AA1CB /* Pods-Instagram2.0Tests.debug.xcconfig */,
				6704508A6A6A5E165E383C04 /* Pods-Instagram2.0Tests.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		85123538291C745400EE6E8D /* Model */ = {
			isa = PBXGroup;
			children = (
				85123539291C747500EE6E8D /* User.swift */,
				85617B2F291C9E6E00E28773 /* Firebase.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		8530D38D2919CC3D00531D39 = {
			isa = PBXGroup;
			children = (
				8530D3982919CC3D00531D39 /* Instagram */,
				8530D3B22919CC3E00531D39 /* Instagram2.0Tests */,
				8530D3BC2919CC3E00531D39 /* Instagram2.0UITests */,
				8530D3972919CC3D00531D39 /* Products */,
				51CEA7B2EC221ACB8B4383D0 /* Pods */,
				F82A96547B7ED96FBD858BE2 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		8530D3972919CC3D00531D39 /* Products */ = {
			isa = PBXGroup;
			children = (
				8530D3962919CC3D00531D39 /* InstagramAuth.app */,
				8530D3AF2919CC3E00531D39 /* InstagramAuthTests.xctest */,
				8530D3B92919CC3E00531D39 /* InstagramAuthUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		8530D3982919CC3D00531D39 /* Instagram */ = {
			isa = PBXGroup;
			children = (
				85A1E5F1291CB83F005B3560 /* Camera */,
				855F5725291C6685007939FD /* Controllers */,
				85617B31291CA4BA00E28773 /* View */,
				85123538291C745400EE6E8D /* Model */,
				8530D3D12919D12500531D39 /* Utils */,
				8530D3CC2919CE3400531D39 /* Login */,
				8530D3992919CC3D00531D39 /* AppDelegate.swift */,
				8530D39B2919CC3D00531D39 /* SceneDelegate.swift */,
				8530D39F2919CC3D00531D39 /* Main.storyboard */,
				8530D3A52919CC3E00531D39 /* Assets.xcassets */,
				8530D3A72919CC3E00531D39 /* LaunchScreen.storyboard */,
				8530D3AA2919CC3E00531D39 /* Info.plist */,
				8530D3A22919CC3D00531D39 /* Instagram2_0.xcdatamodeld */,
				855F5721291C4A63007939FD /* GoogleService-Info.plist */,
			);
			path = Instagram;
			sourceTree = "<group>";
		};
		8530D3B22919CC3E00531D39 /* Instagram2.0Tests */ = {
			isa = PBXGroup;
			children = (
				8530D3B32919CC3E00531D39 /* Instagram2_0Tests.swift */,
			);
			path = Instagram2.0Tests;
			sourceTree = "<group>";
		};
		8530D3BC2919CC3E00531D39 /* Instagram2.0UITests */ = {
			isa = PBXGroup;
			children = (
				8530D3BD2919CC3E00531D39 /* Instagram2_0UITests.swift */,
				8530D3BF2919CC3E00531D39 /* Instagram2_0UITestsLaunchTests.swift */,
			);
			path = Instagram2.0UITests;
			sourceTree = "<group>";
		};
		8530D3CC2919CE3400531D39 /* Login */ = {
			isa = PBXGroup;
			children = (
				8530D3CD2919CE4200531D39 /* LoginController.swift */,
				8530D3D42919D93600531D39 /* SignUpController.swift */,
				855F5723291C5F7E007939FD /* MainTabVC.swift */,
			);
			path = Login;
			sourceTree = "<group>";
		};
		8530D3D12919D12500531D39 /* Utils */ = {
			isa = PBXGroup;
			children = (
				8530D3D22919D13400531D39 /* Utils.swift */,
				857B82FC2919EC1400C6A1D3 /* CustomTextField.swift */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		855F5725291C6685007939FD /* Controllers */ = {
			isa = PBXGroup;
			children = (
				85636F43291CB3F200799B6E /* PhotoSelector */,
				85636F40291CB3C900799B6E /* Messages */,
				85123532291C670300EE6E8D /* FeedController.swift */,
				85123534291C6CF000EE6E8D /* UserProfileController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		85617B31291CA4BA00E28773 /* View */ = {
			isa = PBXGroup;
			children = (
				85123536291C6DD600EE6E8D /* UserProfileHeader.swift */,
				85636F44291CB4E300799B6E /* MessagesCell.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		85636F40291CB3C900799B6E /* Messages */ = {
			isa = PBXGroup;
			children = (
				85636F41291CB3DF00799B6E /* MessagesVC.swift */,
			);
			path = Messages;
			sourceTree = "<group>";
		};
		85636F43291CB3F200799B6E /* PhotoSelector */ = {
			isa = PBXGroup;
			children = (
			);
			path = PhotoSelector;
			sourceTree = "<group>";
		};
		85A1E5F1291CB83F005B3560 /* Camera */ = {
			isa = PBXGroup;
			children = (
				85A1E5F2291CB84C005B3560 /* CameraController.swift */,
			);
			path = Camera;
			sourceTree = "<group>";
		};
		F82A96547B7ED96FBD858BE2 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				614000FC2524B33C9C5422A9 /* Pods_Instagram2_0.framework */,
				18D4CBDDF80E2E4E391AD984 /* Pods_Instagram2_0_Instagram2_0UITests.framework */,
				24E19E38BA876501EFA136C1 /* Pods_Instagram2_0Tests.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		8530D3952919CC3D00531D39 /* InstagramAuth */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 8530D3C32919CC3E00531D39 /* Build configuration list for PBXNativeTarget "InstagramAuth" */;
			buildPhases = (
				5A02B717D4FD1508463BBDF4 /* [CP] Check Pods Manifest.lock */,
				8530D3922919CC3D00531D39 /* Sources */,
				8530D3932919CC3D00531D39 /* Frameworks */,
				8530D3942919CC3D00531D39 /* Resources */,
				84EB6012AA1FFF27A750CAA4 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = InstagramAuth;
			productName = Instagram2.0;
			productReference = 8530D3962919CC3D00531D39 /* InstagramAuth.app */;
			productType = "com.apple.product-type.application";
		};
		8530D3AE2919CC3E00531D39 /* InstagramAuthTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 8530D3C62919CC3E00531D39 /* Build configuration list for PBXNativeTarget "InstagramAuthTests" */;
			buildPhases = (
				87C2416A783163084FF311EB /* [CP] Check Pods Manifest.lock */,
				8530D3AB2919CC3E00531D39 /* Sources */,
				8530D3AC2919CC3E00531D39 /* Frameworks */,
				8530D3AD2919CC3E00531D39 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				8530D3B12919CC3E00531D39 /* PBXTargetDependency */,
			);
			name = InstagramAuthTests;
			productName = Instagram2.0Tests;
			productReference = 8530D3AF2919CC3E00531D39 /* InstagramAuthTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		8530D3B82919CC3E00531D39 /* InstagramAuthUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 8530D3C92919CC3E00531D39 /* Build configuration list for PBXNativeTarget "InstagramAuthUITests" */;
			buildPhases = (
				7BFE767C36C91E8467D20CA9 /* [CP] Check Pods Manifest.lock */,
				8530D3B52919CC3E00531D39 /* Sources */,
				8530D3B62919CC3E00531D39 /* Frameworks */,
				8530D3B72919CC3E00531D39 /* Resources */,
				C85785928BB6B68E3CBB5657 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
				8530D3BB2919CC3E00531D39 /* PBXTargetDependency */,
			);
			name = InstagramAuthUITests;
			productName = Instagram2.0UITests;
			productReference = 8530D3B92919CC3E00531D39 /* InstagramAuthUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		8530D38E2919CC3D00531D39 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1340;
				LastUpgradeCheck = 1340;
				TargetAttributes = {
					8530D3952919CC3D00531D39 = {
						CreatedOnToolsVersion = 13.4.1;
					};
					8530D3AE2919CC3E00531D39 = {
						CreatedOnToolsVersion = 13.4.1;
						TestTargetID = 8530D3952919CC3D00531D39;
					};
					8530D3B82919CC3E00531D39 = {
						CreatedOnToolsVersion = 13.4.1;
						TestTargetID = 8530D3952919CC3D00531D39;
					};
				};
			};
			buildConfigurationList = 8530D3912919CC3D00531D39 /* Build configuration list for PBXProject "InstagramAuth" */;
			compatibilityVersion = "Xcode 13.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 8530D38D2919CC3D00531D39;
			productRefGroup = 8530D3972919CC3D00531D39 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				8530D3952919CC3D00531D39 /* InstagramAuth */,
				8530D3AE2919CC3E00531D39 /* InstagramAuthTests */,
				8530D3B82919CC3E00531D39 /* InstagramAuthUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		8530D3942919CC3D00531D39 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				8530D3A92919CC3E00531D39 /* LaunchScreen.storyboard in Resources */,
				855F5722291C4A64007939FD /* GoogleService-Info.plist in Resources */,
				8530D3A62919CC3E00531D39 /* Assets.xcassets in Resources */,
				8530D3A12919CC3D00531D39 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		8530D3AD2919CC3E00531D39 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		8530D3B72919CC3E00531D39 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		5A02B717D4FD1508463BBDF4 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Instagram2.0-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		7BFE767C36C91E8467D20CA9 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Instagram2.0-Instagram2.0UITests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		84EB6012AA1FFF27A750CAA4 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Instagram2.0/Pods-Instagram2.0-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Instagram2.0/Pods-Instagram2.0-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Instagram2.0/Pods-Instagram2.0-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		87C2416A783163084FF311EB /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Instagram2.0Tests-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		C85785928BB6B68E3CBB5657 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Instagram2.0-Instagram2.0UITests/Pods-Instagram2.0-Instagram2.0UITests-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Instagram2.0-Instagram2.0UITests/Pods-Instagram2.0-Instagram2.0UITests-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Instagram2.0-Instagram2.0UITests/Pods-Instagram2.0-Instagram2.0UITests-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		8530D3922919CC3D00531D39 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				85A1E5F3291CB84C005B3560 /* CameraController.swift in Sources */,
				85123537291C6DD600EE6E8D /* UserProfileHeader.swift in Sources */,
				8512353A291C747500EE6E8D /* User.swift in Sources */,
				857B82FD2919EC1400C6A1D3 /* CustomTextField.swift in Sources */,
				85617B30291C9E6E00E28773 /* Firebase.swift in Sources */,
				85636F45291CB4E300799B6E /* MessagesCell.swift in Sources */,
				8530D3D32919D13400531D39 /* Utils.swift in Sources */,
				8530D3A42919CC3D00531D39 /* Instagram2_0.xcdatamodeld in Sources */,
				85636F42291CB3DF00799B6E /* MessagesVC.swift in Sources */,
				8530D39A2919CC3D00531D39 /* AppDelegate.swift in Sources */,
				8530D39C2919CC3D00531D39 /* SceneDelegate.swift in Sources */,
				8530D3CE2919CE4200531D39 /* LoginController.swift in Sources */,
				8530D3D52919D93600531D39 /* SignUpController.swift in Sources */,
				85123533291C670300EE6E8D /* FeedController.swift in Sources */,
				85123535291C6CF100EE6E8D /* UserProfileController.swift in Sources */,
				855F5724291C5F7E007939FD /* MainTabVC.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		8530D3AB2919CC3E00531D39 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				8530D3B42919CC3E00531D39 /* Instagram2_0Tests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		8530D3B52919CC3E00531D39 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				8530D3BE2919CC3E00531D39 /* Instagram2_0UITests.swift in Sources */,
				8530D3C02919CC3E00531D39 /* Instagram2_0UITestsLaunchTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		8530D3B12919CC3E00531D39 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 8530D3952919CC3D00531D39 /* InstagramAuth */;
			targetProxy = 8530D3B02919CC3E00531D39 /* PBXContainerItemProxy */;
		};
		8530D3BB2919CC3E00531D39 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 8530D3952919CC3D00531D39 /* InstagramAuth */;
			targetProxy = 8530D3BA2919CC3E00531D39 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		8530D39F2919CC3D00531D39 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				8530D3A02919CC3D00531D39 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		8530D3A72919CC3E00531D39 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				8530D3A82919CC3E00531D39 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		8530D3C12919CC3E00531D39 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		8530D3C22919CC3E00531D39 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		8530D3C42919CC3E00531D39 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = BD904D9B45AD2A72623D88F6 /* Pods-Instagram2.0.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = PZL95Y8J44;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Instagram2.0/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "vitalykinchin.Instagram2-0";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		8530D3C52919CC3E00531D39 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = B6B6F41DC9866DA581D7B770 /* Pods-Instagram2.0.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = PZL95Y8J44;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Instagram2.0/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "vitalykinchin.Instagram2-0";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		8530D3C72919CC3E00531D39 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 62EA448950177273C92AA1CB /* Pods-Instagram2.0Tests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = PZL95Y8J44;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.5;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "vitalykinchin.Instagram2-0Tests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/InstagramAuth.app/InstagramAuth";
			};
			name = Debug;
		};
		8530D3C82919CC3E00531D39 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 6704508A6A6A5E165E383C04 /* Pods-Instagram2.0Tests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = PZL95Y8J44;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.5;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "vitalykinchin.Instagram2-0Tests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/InstagramAuth.app/InstagramAuth";
			};
			name = Release;
		};
		8530D3CA2919CC3E00531D39 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 09E05BC567DF7C258904279F /* Pods-Instagram2.0-Instagram2.0UITests.debug.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = PZL95Y8J44;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "vitalykinchin.Instagram2-0UITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Instagram2.0;
			};
			name = Debug;
		};
		8530D3CB2919CC3E00531D39 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 132FB189BC69F951CA111CB0 /* Pods-Instagram2.0-Instagram2.0UITests.release.xcconfig */;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = PZL95Y8J44;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "vitalykinchin.Instagram2-0UITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = Instagram2.0;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		8530D3912919CC3D00531D39 /* Build configuration list for PBXProject "InstagramAuth" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				8530D3C12919CC3E00531D39 /* Debug */,
				8530D3C22919CC3E00531D39 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		8530D3C32919CC3E00531D39 /* Build configuration list for PBXNativeTarget "InstagramAuth" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				8530D3C42919CC3E00531D39 /* Debug */,
				8530D3C52919CC3E00531D39 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		8530D3C62919CC3E00531D39 /* Build configuration list for PBXNativeTarget "InstagramAuthTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				8530D3C72919CC3E00531D39 /* Debug */,
				8530D3C82919CC3E00531D39 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		8530D3C92919CC3E00531D39 /* Build configuration list for PBXNativeTarget "InstagramAuthUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				8530D3CA2919CC3E00531D39 /* Debug */,
				8530D3CB2919CC3E00531D39 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCVersionGroup section */
		8530D3A22919CC3D00531D39 /* Instagram2_0.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				8530D3A32919CC3D00531D39 /* Instagram2_0.xcdatamodel */,
			);
			currentVersion = 8530D3A32919CC3D00531D39 /* Instagram2_0.xcdatamodel */;
			path = Instagram2_0.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 8530D38E2919CC3D00531D39 /* Project object */;
}
